package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsReceivePlace;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsReceivePlaceMapper extends IBaseMapper<RmsReceivePlace, BigDecimal> {
    // 得到具体地址主键id
    BigDecimal getPlaceId(Map<String,Object> mapValue);

    @Select("select seq_RMS_RECEIVE_PLACE.nextval from dual")
    BigDecimal selectMaxId();

    List<Map<String, Object>> getOyeWarehouse(Map<String, Object> mapValue);

    String getAddressType(BigDecimal shippingAddressId);

}